echo off
cls
echo   A bug was found in the mktime() function in the Borland C++ 2.0 
echo   Run Time Library.  If you seed the tm structure with the 29th of
echo   February on a leap year, and call mktime() to return the number
echo   of seconds elapsed since 1/1/1970, it will get stuck in an 
echo   endless loop and never return.  
echo.
echo   I have compiled a fixed version for all memory models of the
echo   Run Time Library.  Place this batch file and all CTIME_x.OBJ
echo   files in your Borland C++ Library directory, have TLIB in the 
echo   path, and run this batch file.
echo.
echo   TLIB will automatically save your old Cx.LIB files to Cx.BAK.
echo.
echo   Press CTRL-BREAK to abort this batch file, 
echo   or any other key to continue....
pause > nul

if exist ctime.obj del ctime.obj

if not exist cs.lib goto compact
echo.
echo Patching small library...
ren ctime_s.obj ctime.obj
tlib cs.lib -+ctime.obj > nul
ren ctime.obj ctime_s.obj

:compact
if not exist cc.lib goto medium
echo.
echo Patching compact library...
ren ctime_c.obj ctime.obj
tlib cc.lib -+ctime.obj > nul
ren ctime.obj ctime_c.obj

:medium
if not exist cm.lib goto large
echo.
echo Patching medium library...
ren ctime_m.obj ctime.obj
tlib cm.lib -+ctime.obj
ren ctime.obj ctime_m.obj

:large
if not exist cl.lib goto huge
echo.
echo Patching large library...
ren ctime_l.obj ctime.obj
tlib cl.lib -+ctime.obj
ren ctime.obj ctime_l.obj

:huge
if not exist c?.lib goto nolib
echo.
echo Patching huge library...
ren ctime_h.obj ctime.obj
tlib ch.lib -+ctime.obj
ren ctime.obj ctime_h.obj
goto end

:nolib
echo   No library files were found!
echo.
echo   Please verify that you have installed this patch kit in your
echo   Borland C++ 2.0 library directory and re-run this batch file.

:end
echo.

